* Re-organise dependencies and recommends now that recommends are installed
[ikiwiki.git] / doc / install.mdwn
index 06da9920f9d6fd3090a1002fe55a3d63baa64646..6fdc8bb9e14e46ca61c35a964875ad148b8daa37 100644 (file)
@@ -7,17 +7,22 @@ Ikiwiki is a perl program, and needs a recent version of perl such as
 
 Ikiwiki requires the [[cpan Text::Markdown]], [[cpan URI]],
 [[cpan HTML::Parser]], and [[cpan HTML::Template]] perl modules be
-installed, and also uses the following perl modules if available: 
-[[cpan CGI::Session]], [[cpan CGI::FormBuilder]] (version 3.05 or newer),
-[[cpan Mail::Sendmail]], [[cpan Time::Duration]], [[cpan TimeDate]],
-[[cpan HTML::Scrubber]], [[cpan RPC::XML]], [[cpan XML::Simple]],
-[[cpan XML::Feed]], [[cpan File::MimeInfo]], [[cpan Locale::gettext]]
-(version 1.04 or newer).
+installed.
+
+It also uses the following perl modules if available: [[cpan
+CGI::Session]], [[cpan CGI::FormBuilder]] (version 3.05 or newer), [[cpan
+Mail::Sendmail]], [[cpan Time::Duration]], [[cpan TimeDate]], [[cpan
+HTML::Scrubber]], [[cpan RPC::XML]], [[cpan XML::Simple]], [[cpan
+XML::Feed]], [[cpan File::MimeInfo]], [[cpan Locale::gettext]] (version
+1.04 or newer).
+
+It's recommended you have a C compiler, as ikiwiki uses one to build
+wrappers.
 
 Various [[plugins]] use other libraries and utlities; see their individual
 documentation for details.
 
-The Debian packages depend on an appropriate set of these modules.
+The Debian packages depend on and recommend an appropriate set of packages.
 
 While Fedora 7 doesn't have an ikiwiki package, you can install needed
 perl modules using this command: